/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationPersonnes {

  public static void main(String [] args) {
    /* Instanciation de deux Personne                     */
    Personne p1 = new Personne("Dupond","Armand",0,154119030048812L);
    Personne p2 = new Personne("Dumas","Emilie",1,262037820018798L);
    /* Affichage de ces deux personnes                    */
    System.out.println("Personnes testees");
    System.out.println(p1);
    System.out.println(p2);
    /* Affichage de leurs sexes                           */
    System.out.println("Sexes");
    System.out.println(p1.sexe());
    System.out.println(p2.sexe());
    /* Affichage de leurs dates de naissance              */
    System.out.println("Dates de naissance");
    System.out.println(p1.dateNaissance());
    System.out.println(p2.dateNaissance());
    /* Comparaison de leurs ages                          */
    System.out.println("Comparaisons des ages");
    System.out.println(p1.plusAgeQue(p2));
    System.out.println(p2.plusAgeQue(p1));
    /* Tests de classement                                */
    System.out.println("Classements");
    System.out.println(p1.classeAvant(p2));
    System.out.println(p2.classeAvant(p1));
  }
}